# We created this script in a walkthrough on June 11 on WebEx

1
1+1
2*2
# CNTL - A = SELECT
# CNTL - ENTER = RUN

a <- 1
# <- is the equal sign
a
b <- a + 1
b
b = a+1
 # = is <-
# spaces dont matter

a + 1 -> b
b


# FUNCTIONS

sqrt(4) # we use () to put in a function
sqrt(9)
sqrt(5)
?sqrt

squared = function(x){x^2}
# we use {} to create a function

sqrt(4)
squared(4)

a
a^2
b
b^2

exponentit <- function(a,b){
  a^b
}

exponentit(2,2)

exponentit <- function(a,b=2){
  a^b
}

exponentit(3)
exponentit(a=3)
exponentit(a=3,b=3)

# DATA EXPLORATION
class(b)
typeof(b)

b = "Hello,world"
class(b)
typeof(b)

?paste0 # shortcut F1
a=2
paste0(a," coconuts in my pocket")

sprintf("I have $%.2f in my pocket, that is cool",a)

# VECTORS AND MATRICES

a <- c(6, 7, 8, 9, 10)
a

b <- a/2
b
b = squared(a)
b

a = 5:105 # colon means "between"
a
# SUBSETTING
# square brackets are for subsetting
a[1]
a[20]

c(1,2)

a[c(1,2)]
a[1:3]
a[-1]

# MATRICES
a=1:3
a
b=squared(a)
b
c=data.frame(a,b)
c
typeof(c)
class(c)

dim(c) # row, then columns
nrow(c)
ncol(c)

d <- matrix(1,nrow=4,ncol=4)
d

as.matrix(c)

names(c)
names(d)

c[2,2] # row, then column
c[2,] # second row, whole column
c[,2] # second column, whole row

c[1:2,1:2]

# WORKING WITH DATA
getwd()
Bow_data <- read.csv(file = "input/AB05BH004_BowRiver_FlowQ.csv")

head(Bow_data)
str(Bow_data)

plot(Bow_data[,5])
plot(Bow_data[,"Value"]) 
plot(Bow_data$Value) # dollar works only for dataframes

c
c$b

class(Bow_data$Date)

Bow_data$Date <- as.Date(Bow_data$Date,format="%Y-%m-%d")

plot(
  y=Bow_data$Value,
  x=Bow_data$Date
)

plot(
  y=Bow_data$Value,
  x=Bow_data$Date,
  type="l", # line graph
  xlab=NA,
  main = "Bow River Flows at Calgary", #title
  ylab = "River Flow (m3/s)"
)

png(filename = "output/BowRiverFlow1.png")
plot(
  y=Bow_data$Value,
  x=Bow_data$Date,
  type="l", # line graph
  xlab=NA,
  main = "Bow River Flows at Calgary", #title
  ylab = "River Flow (m3/s)"
)
dev.off()
list.files(path="output")
